settings-v0
List the company's tenure programs
The company’s Subscription Pro tenure programs, newest first, each with the tiers in force. Needs Subscription Pro to be active (403 subscription_pro_inactive otherwise). Reading changes nothing. Responses are not cached.
GET
/
api
/
subscription_pro
/
tenure_programs
List the company's tenure programs
curl --request GET \
--url https://api.fluid.app/api/subscription_pro/tenure_programs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/subscription_pro/tenure_programs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/subscription_pro/tenure_programs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscription_pro/tenure_programs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscription_pro/tenure_programs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/subscription_pro/tenure_programs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscription_pro/tenure_programs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tenure_programs": [
{
"id": 41,
"name": "Loyalty",
"status": "active",
"axis": "paid_orders",
"scope": "all",
"scope_ids": [],
"apply_to_volume": true,
"archived_at": null,
"archive_discounts": null,
"current_version": {
"id": 77,
"version": 1,
"created_at": "2026-10-10T14:05:31Z",
"tiers": [
{
"from": 3,
"to": 6,
"label": "Silver",
"discount_type": "percentage",
"percentage_value": "10.0",
"flat_value": null
},
{
"from": 6,
"to": null,
"label": "Gold",
"discount_type": "flat",
"percentage_value": null,
"flat_value": "5.5"
}
]
},
"created_at": "2026-10-10T14:00:00Z",
"updated_at": "2026-10-10T14:05:31Z"
}
],
"status": 200,
"meta": {
"request_id": "7d2f4c1a-9b3e-4f6d-8a21-3c5e0b9f1d42",
"timestamp": "2026-10-10T14:05:31Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}⌘I
List the company's tenure programs
curl --request GET \
--url https://api.fluid.app/api/subscription_pro/tenure_programs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/subscription_pro/tenure_programs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/subscription_pro/tenure_programs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/subscription_pro/tenure_programs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/subscription_pro/tenure_programs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/subscription_pro/tenure_programs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/subscription_pro/tenure_programs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tenure_programs": [
{
"id": 41,
"name": "Loyalty",
"status": "active",
"axis": "paid_orders",
"scope": "all",
"scope_ids": [],
"apply_to_volume": true,
"archived_at": null,
"archive_discounts": null,
"current_version": {
"id": 77,
"version": 1,
"created_at": "2026-10-10T14:05:31Z",
"tiers": [
{
"from": 3,
"to": 6,
"label": "Silver",
"discount_type": "percentage",
"percentage_value": "10.0",
"flat_value": null
},
{
"from": 6,
"to": null,
"label": "Gold",
"discount_type": "flat",
"percentage_value": null,
"flat_value": "5.5"
}
]
},
"created_at": "2026-10-10T14:00:00Z",
"updated_at": "2026-10-10T14:05:31Z"
}
],
"status": 200,
"meta": {
"request_id": "7d2f4c1a-9b3e-4f6d-8a21-3c5e0b9f1d42",
"timestamp": "2026-10-10T14:05:31Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}